MySQL Workbench 5.2.17 (2010-04-02)

Platform: mac, linux, windows

[new/improved]

- new UI layout windows
- added toolbars for common feature
- changed and enhanced Snippet-UI

[closed]

- Bug #46837    Omit Schema Qualifiers does not omit schema name in all places
- Bug #48898    Could not scroll databases in the overview
- Bug #48988    Output window is not opening
- Bug #49011    WB needs to be version-aware when adding new configuration options
- Bug #49050    Partitioning allows 0 partitions
- Bug #49270    Where does “comment” tab content go when creating a VIEW?
- Bug #49273    ALTER ROUTINE wizard asks to apply changes after already applied
- Bug #49302    No ability to order by DESC
- Bug #49366    Row sort icons stuck
- Bug #49683    resultset missing copy cell/row option
- Bug #49987    “Skip Creation of FOREIGN KEYS” should exclude FOREIGN indexes
- Bug #50132    underscore in table name is not shown
- Bug #50215    Importing SQL file with an escaped char (apostrophe) generated an error
- Bug #50268    Workbench exits unexpectedly when working in EER diagram
- Bug #50387    Installer should Launch WB with Option Out
- Bug #50501    Run python workbench script
- Bug #50585    WB is not recognizing the correct status of the server
- Bug #50637    SQL Statement Generation in WB SQL Editor
- Bug #50734    Create File selector for remote boxes
- Bug #50885    Accessing print from file menu causes WB to crash.
- Bug #50980    Index was out of range error when switching from Model tab to Home tabe
- Bug #50983    Not flushed privileges
- Bug #51010    Snippet Layout
- Bug #51085    README and http://wb.mysql.com are inconsistent
- Bug #51087    error calling wbAdmin.openAdministrator: IndexError: list index out of range
- Bug #51090    Dependency gnome-keyring-1
- Bug #51137    Workbench Server Administration wrongfully reports “server is not running”
- Bug #51192    Alter Table – Foreign Key Name change not working
- Bug #51247    Routine Editor adds wrong trailing-delimiter
- Bug #51257    New window layout: missing all tools to add tables?
- Bug #51261    Import doesn’t import anything
- Bug #51276    Workbench doesn’t use sudo to execute the status script
- Bug #51367    Clicking Apply x 2 on New Table creates two tables
- Bug #51368    MySQL Workbench Unexpected Error
- Bug #51403    Crash when closing Connection Manager
- Bug #51410    Workbench closes unexpectedly while trying to “edit table” in Model tab
- Bug #51411    Forward engeener to database & omit schema qualifier
- Bug #51416    Export function creates multiple semicolons for views
- Bug #51455    Error about char-set instead of stating that v4 is not supported
- Bug #51467    Unknown exception … Wb.h
- Bug #51469    Patch to fix linking with -Wl,–as-needed
- Bug #51476    Problem with manage instances
- Bug #51477    Workbench crash when attempting to connect
- Bug #51481    Generated SQL doesn’t seem to account for scripts that have been applied
- Bug #51514    Schemas not showing when I’m trying to synchronize model with database
- Bug #51516    Can’t alter a recently added column
- Bug #51550    SQL Editor response column gets squashed
- Bug #51573    WB hangs while selecting objects in EER diagram.
- Bug #51584    Crashed deleting a row in the “Inserts” tab
- Bug #51594    MySQL Workbench Export Results as CSV adds trailing comma in output
- Bug #51606    Crash loading a large SQL script file
- Bug #51634    Scrolling on Mac missing
- Bug #51685    Crash closing while fetching
- Bug #51692    Tryn to impor export dump file
- Bug #51726    Sync causes unexpected drop columns
- Bug #51728    Sync randomly adds malformed statements in between a trigger
- Bug #51731    Sync does not reconcile all procedures
- Bug #51790    Spelling error?
- Bug #51802    Incorrect detection of the mysql startup script on Fedora
- Bug #51815    SQL Editor crashes on syntax checking: Sql_editor::check_sql()
- Bug #51859    Order (sort) by numbers are wrong
- Bug #51892    Workbench crash when synking from design mode to db
- Bug #51972    Altar Table GUI, Column Comments: single quote & truncation issue
- Bug #52023    When going into Manage Security screen flashes from black to OSS
- Bug #52065    Menu Model->Diagram Properties And Size… crashes program
- Bug #52264    Invisible text inside textarea in very last screen of forward eng. to db
- Bug #52302    Extend Execute Current Command in SQL Editor
- Bug #52401    command to edit table brings up table from wrong schema
- Bug #52465    No rule to make target `waitpopup.lo’, needed by `libmforms.la’. Stop.

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.16 (2010-02-17)

Platform: mac, linux, windows

[new/improved]

- added the ability to store passwords in OSX-keychain, gnome-keyring or on windows in a encrypted password-vault-file
- reworked the “new server instance” wizard
- SQL templates from object context-menu to copy statements to clipboard or right into the query area
- improved stability of administration module
- added option to change the placement of the sidebar in query mode (windows only currently)

[closed]

- Bug #45110    Inconsistent results if alter table engine then forward engineer alter script
- Bug #45556    alter script generation does not contain column upper/lowercase renaming
- Bug #45834    Fwd Eng SQL ALTER Script… changes columns that use user types with empty args
- Bug #45979    mysql Workbench sugestion
- Bug #47969    Forward Eng SQL CREATE Script ignores Skip Creation of FOREIGN KEYS
- Bug #48966    Server status not updating when stopping mysqld outside Workbench
- Bug #48975    MySQL Workbench administrator does not detect server status correctly
- Bug #48992    Changes to server stats are not applied after changing them: needs restart
- Bug #49006    WB shows both default table type and default storage engine
- Bug #49035    Directories should require a path
- Bug #49054    Changing partition count fails to create correct ALTER TABLE script
- Bug #49073    Missing status variables for Commands executed (DDL)
- Bug #49077     Missing status variables for Commands executed (DML)
- Bug #49090    WB suggests paths with ~ placeholder but is not able to resolve it
- Bug #49110    Export to disk function does not recognize selected tables
- Bug #49115    No way to stop export to disk function
- Bug #49218    Remove useless parentheses from inport log
- Bug #49220    –single-transaction option missing from WB backups?
- Bug #49224    Use mysqldump descriptions from manual
- Bug #49277    Using ALTER TABLE wizard to change column collation fails
- Bug #49287    ALTER TABLE wizard trigger fail
- Bug #49295    Data export fail when using TCP/IP over SSH
- Bug #49303    Export as CSV produces tab-delimited output
- Bug #49307    Continuous prompts for SSH password
- Bug #49418    SSH keys with passphrases not usable
- Bug #49439    Unhandled exception when accessing variables, logs, etc. on stopped server
- Bug #49442    Unable to view full queries from logs
- Bug #49529    Export/Import to Self-contained file doesn’t work
- Bug #49682    SQL Export Options mixed up
- Bug #49710    Unable to create SP via SQL Editor Add Routine
- Bug #49766    my.cnf configuration hanging, erroring, …
- Bug #49980    Unhandled Exception on Workbench 5.2.11 OSS
- Bug #50000    Dropped table in database is not synchronized back to model
- Bug #50003    Server Administration crashes
- Bug #50050    Unable to register a new server instance
- Bug #50098    Remote Server Administration via non SSH Connection
- Bug #50110    Workbench not proper parse the decimal data type with reverse engineer function
- Bug #50112    Log window is not visible in failed query owing to difficult diagnostics
- Bug #50194    SSH Password not protected
- Bug #50213    WorkBench doesnt run backups if there is a space in the password
- Bug #50283    Manage DB Connections dialog missing Default Schema textfield
- Bug #50334    In SQL Editor Result Set tab cannot be closed
- Bug #50547    Need to check and warn in not connection and not open
- Bug #50609    Import failing when there are spaces in the dump file path
- Bug #50635    OS Language small problem – Server Administration
- Bug #50683    Double-clicking node in GRT Trees value-inspector causes exception
- Bug #50692    All text fields show as ‘blob’ in query results
- Bug #50705    No “Edit Table” option in SQL Editor interface
- Bug #50727    Add Ctrl+Q to Exit Workbench
- Bug #50728    mysqldump error with whitespace in table name
- Bug #50732    Workbench opens every ERR diagram in the model
- Bug #50747    Hotkey for executing a single query
- Bug #50762    Users and Roles fail to generate grant privilege SQL statement fo schema objects
- Bug #50768    Unexpected error when switching from model to home panel
- Bug #50791    Workbench SQL Editor – Execute button missing
- Bug #50815    When using more then one Query tab, object tree is collapsed when switching
- Bug #50830    MySQL Workbench cannot connect to MySQL when only named pipe is enabled
- Bug #50833    Scintilla SQL Statement status bar is not reset
- Bug #50835    Error reporting broken in SQL editors
- Bug #50865    SQL Editor tabs with the same label
- Bug #50900    Triggers and views error
- Bug #50920    SQL Editor hangs when applying script from Edit Table Save
- Bug #50965    Path to config file it’s not saved when you use explore (…) button
- Bug #50970    Changed index-name cannot be applied
- Bug #51053    Crash upon generating SQL from ERR diagram
- Bug #51060    New Server Instance allows use of Back button after instance created
- Bug #51088    Exception thrown when cancelling SSL Login for Manage Security

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.15 (2010-01-28)

Platform: mac, linux, windows

[new/improved]

- added exception dialog, containing link to bug-report page and debug-information to provide in the report on windows
- additional binary/src packages: SuSE 11.2 (x64 only currently)

[closed]

- Bug #47143    Tables not sorted in physical schemata view
- Bug #47384    Export to PDF or PS scrambled table positions
- Bug #49062    Log entry counter incorrect
- Bug #49114    Eliminate extra whitespace in export log output
- Bug #49213    WorkBench Install deps fails when installing on Fedora Core 12 X86_64
- Bug #49217    Multiple table import skips tables
- Bug #49298    Sidebar display problems and application crash when showing GRT Shell
- Bug #49304    Cancel on close workbench closes anyways
- Bug #49339    INSTALL file is empty
- Bug #49343    NEWS is empty
- Bug #49423    Tmpdir disappears in preview
- Bug #49451    Check for update link doesn’t work
- Bug #49587    Snychronization is droping databases
- Bug #49810    Password dialog apepars as sheet behind modal “Manage DB Connections”
- Bug #49863    Cannot Access Page Setup Dialog From File Menu
- Bug #50004    Offer option in connection settings to prompt for password
- Bug #50158    Client-side sorting is always alpha
- Bug #50205    WB doesn’t handle ssh tunnel timeouts
- Bug #50315    Opening Page Setup Causes Fault
- Bug #50453    Wokbench 5.2.11b does not report server status correctly
- Bug #50492    EER  Diagram – Place Relationship generates bogus name for foreign keys
- Bug #50528    Cannot Print
- Bug #50529    Portrait / Landscape Icons Missing In Page Setup Dialog Box.
- Bug #50546    WB crashes when I try to change datatype in columns tab
- Bug #50560    Search and Toggle Sidebar Mac Crash
- Bug #50562    Unhandled exception after double clicking a tab

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.14 (2010-01-20)

Platform: mac, linux, windows

[new/improved]

- changed GRT Shell to be an external window for all platforms (as it was for osx-version already)
- now delivering binary/src packages for CentOS 5.4

[closed]

- Bug #38600    Insert statement calling function is incorrectly parsed
- Bug #43287    mysql user’s password exposed through mysql administrator
- Bug #46297    mysql-workbench fails to open files with spaces in path
- Bug #47117    Python scripts fail to load / display in the plugins menu.
- Bug #47767    lost “Visibility Settings” of FK relations in Diagram after “Synchronize Model”
- Bug #48114    Cannot create table with one partition
- Bug #48222    Input / output file text fields resize beyond visibility
- Bug #48906    Error editing my.cnf
- Bug #48969    Socket/Pipe description is not showing username
- Bug #48989    Connection are not closed when closing the Admin tab for an instance
- Bug #49013    Lettercase mismatch in k/M dropdown
- Bug #49052    Text truncated in Manage DB Connections
- Bug #49055    ALTER TABLE wizard creates incorrect script for changing partitioning
- Bug #49065    Logs navigation buttons seem backwards
- Bug #49149    Confusing icon order in “Home” tab icon bar
- Bug #49150    Can create duplicate and even empty connection names
- Bug #49179    EDIT table data loses data.
- Bug #49212    CPU graph and label mismatch
- Bug #49226    Remote server config requests SSH password after unchecking SSH
- Bug #49245    Crash on “Append selected items to SQL script”
- Bug #49281    Using ALTER SCHEMA wizard to change schema name fails
- Bug #49282    DROP SCHEMA does not remove schema from SQL Editor
- Bug #49284    Undo includes things which WB cannot (or does not) undo
- Bug #49299    only shows last replicate-do-db entry
- Bug #49313    Workbench data modeling detects table rename but fails to generate code
- Bug #49364    Unhandled exception trying to apply ALTER TABLE
- Bug #49378    Manage DB connections text extends beyond window
- Bug #49380    Drop down for partition count is limited and misleading
- Bug #49409    Allow WB to save connection profiles without password, and prompt user
- Bug #49411    SSH Tunnels not closed
- Bug #49412    Two SSH Tunnels are opened
- Bug #49419    Test Connection for SSH connection locks up entire app
- Bug #49420    Invalid config values written
- Bug #49428    Repeated opening of model file causes exceptions, memory access errors
- Bug #49440    “Copy SQL to Clipboard” broken for Routine  Groups
- Bug #49454    Automatically refresh UI when objects are created or removed
- Bug #49461    No warning/failure when transaction cannot be commited
- Bug #49553    Execution of a stored procedure fails after first attemp
- Bug #49602    edit configuration raises unhandled exception
- Bug #49788    SQL Statement area is not resizable
- Bug #49789    Stored procedure editor does not prepend with DROP PROCEDURE statement
- Bug #49790    If applying of modified stored procedure fails – code is rolled back quietly
- Bug #49812    Unable to use SSH connection with key file
- Bug #49864    Program Crash when Selecting “Edit Table Data” from home screen
- Bug #49870    FIle extension not selected when Exporting Results
- Bug #49915    Need better Pending changes message.
- Bug #49925    Can forget to Apply a change to data edits and Crashes
- Bug #49926    Bottom page stays from EER to Home Page
- Bug #49941    Double-clicking a workbench file crashes Workbench on launch
- Bug #50040    just a test bug, please ignore
- Bug #50051    Quoting missing in schema name for SP script generation
- Bug #50072    DROP DATABASE dialog drops database if closed without clicking button
- Bug #50082    Can’t add a Foreign Key to a new table
- Bug #50108    Model notes and SQL scripts contents are not saved
- Bug #50111    Longtext fields in SQL Editor are not correctly updated owing to no quotes
- Bug #50114    Right click menu for edit area does not exists in Mac Version of Workbench
- Bug #50159    Update Engine Type Value for createTable
- Bug #50184    dump fails with exitcode 7
- Bug #50246    In configuration tab throws exception
- Bug #50248    Executing functions with SELECT not working
- Bug #50311    MWB file with a view causes crash when selecting view for resize
- Bug #50352    Workbench not displaying comma seperated results
- Bug #50354    “Help > View Reported Bugs” brings to the wrong page
- Bug #50415    unable to check for updates
- Bug #50470    changing multiline config values fails under some conditions

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.13 (internal release)

Platform: mac, linux, windows

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.12 (internal release)

Platform: mac, linux, windows

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.11 (2009-12-18)

Platform: mac, linux, windows

[new/improved]

- added controls for auto-commit mode for SQL Query sessions
- now delivering binary packages for Fedora 12 and from Ubuntu 9.10

[known limitations]

- updating server status in administration section doesn’t work reliably yet
- keypair-authentication is not working properly (backup your keyfiles if testing!)

[closed]

- Bug #39556    Copy as SQL to Clipboard gives an error message for connections in EER
- Bug #47234    Relations are redrawn after synchronization (EER diagram)
- Bug #47518    Can’t open a file saved after a Synchronization
- Bug #47766    Naming Rules of foreign keys and “Synchrnoize Model” Problems
- Bug #48104    Created and Last Changed dates are reversed on Document Properties dialog
- Bug #48249    Invalid results for “Forward Engineer SQL Alter Script” feature
- Bug #48994    Default server stats gathering for MacOSX seems not working correctly
- Bug #49008    Applying changes to my.ini doesn’t work
- Bug #49010    Make default storage engine a free-text field (in WBA)
- Bug #49036    WB directory chooser results in invalid Windows path
- Bug #49039    Add support for “old” option to configuration file editor
- Bug #49048    Table options don’t allow clearing drop-down
- Bug #49060    WB exception and crash when parsing config file
- Bug #49066    “Workbench product page” links to old GUI tools page
- Bug #49067    No ability to view/manage privileges under schema level
- Bug #49113    Export data to disk hangs
- Bug #49123    Workbench definition for log output is invalid
- Bug #49211    Traffic: -174608.0B/s
- Bug #49214    Graphs for server health using relative scale
- Bug #49225    Server stopped, but WB server health graphs say differently
- Bug #49228    Unhandled exception when validating remote server configuration file
- Bug #49234    Discard option is useless (dangerous)
- Bug #49236    Failure to track unapplied changes to configuration file
- Bug #49237    “Edit my.cnf file” should be “Edit Configuration File”
- Bug #49239    SQL Editor icons on “Overview” line don’t make sense
- Bug #49240    Add/Remove (?) buttons don’t do anything
- Bug #49241    MySQL Workbench
- Bug #49242    Crash on Load File in SQL Scripts of MySQL Model
- Bug #49275    Using ALTER TABLE wizard to change table name fails
- Bug #49286    Changing column name fails in ALTER TABLE wizard
- Bug #49289    ALTER ROUTINE wizard fail
- Bug #49290    No scrolling, can’t see all schema objects
- Bug #49294    Password echo in export logs
- Bug #49296    Failed data exports don’t get cleaned up
- Bug #49297    WB is unaware of import failures
- Bug #49300    No ability to delete row in SQL Editor
- Bug #49301    Live editor doesn’t save changes in selected cell
- Bug #49319    Path to mysqldump tool in Preferences apparently ignored
- Bug #49330    DROPing a schema in overview doesn’t show its name
- Bug #49341    AUTHORS file is empty
- Bug #49370    “Insert text into SQL area” replaces, instead
- Bug #49373    Default schema selector does nothing
- Bug #49375    Why allow selection of multiple history items?
- Bug #49381    Lock up and crash on Create EER Model from SQL Script
- Bug #49384    No ability to start transaction or set auto-commit in WB
- Bug #49388    Workbench Crashes When Reopening The Home Screen
- Bug #49416    Password dialog apepars as sheet behind modal “Create a new server instance”
- Bug #49422    Data Modeling window handling very broken
- Bug #49424    Delay-key-write should be a drop-down
- Bug #49462    Reconnect fails to reinitialize connection, including autocommit
- Bug #49623    “link” does nothing.
- Bug #49631    Synchronize Model will  revert all my previously hidden foreign keys to visible
- Bug #49715    python mforms close() after run_modal() does not close form; WB hangs
- Bug #49721    .mwb filter in explorer dialogue for opening models does not filter

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.10 (2009-12-1)

Platform: mac, linux, windows

[new/improved]

- improved loading of database objects in query mode

[closed]

- Bug #45106    MySQL Workbench Connection fields content bottom half cut off
- Bug #46428    wrong library location for mysql-workbench
- Bug #46505    Forward Engineer SQL.CREATE SCRIPT… Incorrect syntax for Delimiters
- Bug #46513    workbench collation cannot be set to model or db default (null) once set
- Bug #46806    EER – tables are automatically resized
- Bug #46810    Generating Catalog diff report leads to segfault
- Bug #47063    Bug using the Foward Engineer SQL ALTER Script
- Bug #47202    Workbench doesn’t create DROP/CREATE statements for multiple schemas
- Bug #47230    Cannot compare differences in database script files
- Bug #47276    Workbench SE crashes on exit after Forward Engineer
- Bug #47480    Upgrading WB from 5.2.2 to 5.2.3 crash in the start up
- Bug #47482    Exporting Create sql script gives an empty file
- Bug #47730    Accented UTF8 chars fools routine parser
- Bug #47953    MySQL Workbench Database Synchronization not working ( simple synch )
- Bug #47954    The administrator module handles the log-bin ini setting incorrectly
- Bug #48116    SQL Export Filter multiple selection does not work
- Bug #48288    Inserts-Editor doesn’t let me introduce values in enum fields
- Bug #48452    Improve Inserts-Editor (prevent loss of data)
- Bug #48664    crash on closing orphaned editor
- Bug #48672    Freeze when opening file dialog
- Bug #48682    CTRL-S don’t work
- Bug #48822    “Toggle grid” and “Align objects to grid” buttons dont render properly
- Bug #48844    Snippet name prompt is a password prompt instead of a text prompt
- Bug #48891    Workbench Crashes when opening .mwb file
- Bug #48967    Can’t rename instance when adding first one in Server Administration
- Bug #48976    MySQL Workbench can’t be resized vertically
- Bug #48981    Expanding databases doesn’t work reliably
- Bug #48982    TEXT columns shown as boolean
- Bug #48990    Manage Security crashes Workbench
- Bug #49004    Unhandled exception when clicking on “Logs” button
- Bug #49007    “INNODB” not recognized properly
- Bug #49012    SQL Mode should not have a file selector
- Bug #49014    Backtick used instead of apostrophe in interface
- Bug #49017    “Key buffer” under “General” instead of “MyISAM Paramters”
- Bug #49037    Workbench hangs on variable setting when canceling password request
- Bug #49041    Altering a VIEW creates script which includes DROP/CREATE table
- Bug #49046    Foward engineer fails to generate when “Gen insert statements” is selected.
- Bug #49057    Crash on “Check section” for options without values
- Bug #49059    Add tooltips for green check and red back arrow icons
- Bug #49061    Manage Security causes error
- Bug #49063    Workbench does not detect signed/unsigned changes in schema
- Bug #49064    Import / Export Server Data causes error
- Bug #49068    What are “Administrative Roles”?
- Bug #49071    Revert on adding admin roles makes user disappear
- Bug #49136    WB should have a –version command line option
- Bug #49153    don’t export views when “Omit Scheme Qualifier” option is checked
- Bug #49221    Option to reduce vertical space in MySQL Workbench
- Bug #45106    MySQL Workbench Connection fields content bottom half cut off
- Bug #46428    wrong library location for mysql-workbench
- Bug #46505    Forward Engineer SQL.CREATE SCRIPT… Incorrect syntax for Delimiters
- Bug #46513    workbench collation cant be set to model or db default (null) once set
- Bug #46806    EER – tables are automatically resized
- Bug #46810    Generating Catalog diff report leads to segfault
- Bug #47063    Bug using the Foward Engineer SQL ALTER Script
- Bug #47202    Workbench doesn’t create DROP/CREATE statements for multiple schemas
- Bug #47230    Cannot compare differences in database script files
- Bug #47276    Workbench SE crashes on exit after Forward Engineer
- Bug #47480    Upgrading WB from 5.2.2 to 5.2.3 crash in the start up
- Bug #47482    Exporting Create sql script gives an empty file
- Bug #47730    Accented UTF8 chars fools routine parser
- Bug #47953    MySQL Workbench Database Synchronization not working (simple synch)
- Bug #47954    The administrator module handles the log-bin ini setting incorrectly
- Bug #48116    SQL Export Filter multiple selection does not work
- Bug #48288    Inserts-Editor doesn’t let me introduce values in enum fields
- Bug #48452    Improve Inserts-Editor (prevent loss of data)
- Bug #48664    crash on closing orphaned editor
- Bug #48672    Freeze when opening file dialog
- Bug #48682    CTRL-S don’t work
- Bug #48822    ”Toggle grid” and “Align objects to grid” buttons dont render properly
- Bug #48844    Snippet name prompt is a password prompt instead of a text prompt
- Bug #48891    Workbench Crashes when opening .mwb file
- Bug #48967    Can’t rename instance when adding first one in Server Administration
- Bug #48976    MySQL Workbench can’t be resized vertically
- Bug #48982    TEXT columns shown as boolean
- Bug #48990    Manage Security crashes Workbench
- Bug #49004    Unhandled exception when clicking on “Logs” button
- Bug #49007    ”INNODB” not recognized properly
- Bug #49012    SQL Mode should not have a file selector
- Bug #49014    Backtick used instead of apostrophe in interface
- Bug #49017    ”Key buffer” under “General” instead of “MyISAM Paramters”
- Bug #49037    Workbench hangs on variable setting when canceling password request
- Bug #49041    Altering a VIEW creates script which includes DROP/CREATE table
- Bug #49046    Foward engineer fails to generate when “Gen insert statements” is selected.
- Bug #49057    Crash on “Check section” for options without values
- Bug #49059    Add tooltips for green check and red back arrow icons
- Bug #49061    Manage Security causes error
- Bug #49063    Workbench does not detect signed/unsigned changes in schema
- Bug #49064    Import / Export Server Data causes error
- Bug #49068    What are “Administrative Roles”?
- Bug #49071    Revert on adding admin roles makes user disappear
- Bug #49136    WB should have a –version command line option
- Bug #49153    don’t export views when “Omit Scheme Qualifier” option is checked

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.9 (internal release)

Platform: mac, linux, windows

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.8 (2009-11-18)

Platform: mac, linux, windows

[new/improved]

- all new home screen which servers as central landing page where you can launch the different tasks workbench can perform now
- Administration module fully available
- new database overview in query mode

[closed]

- Bug #13006    the creation order of views cannot be controlled
- Bug #23002    In proc. comments dropped by mysqldump
- Bug #26863    Cannot add fields to SELECT and WHERE from LEFT OUTER JOIN’ed table
- Bug #29808    Enabling “Preload Buffer Size” causes Server crashing after reboot
- Bug #31667    Error while restoring schema/table/view with a parentheses “(” in the name.
- Bug #38807    schema default collation is not correctly applied on contained tables
- Bug #40060    Index name too long
- Bug #41460    MySql Workbench SE Fails with Windows Vista
- Bug #42626    Cut, Copy & Paste Should Not Translate To the Main Document
- Bug #43276    Schemata qualifiers always generated for Stored Procedures
- Bug #43455    table layout messed on loading diagram file
- Bug #44813    Workbench:requestFileSave in plugin sets document’s unsaved state
- Bug #45264    Setting column field “NN” multiple times affects “Column Details”
- Bug #45705    Checkbox state abandonment in Foreign Keys tab
- Bug #45881    Filter prevents from reversing only one table
- Bug #45896    Automatic scrolling in the editor procedures and triggers
- Bug #45929    Trigger editor – auto delimiter is very ennoying
- Bug #46510    workbench setting primary key in error
- Bug #46624    In Inserts truncate chars in strings after space.
- Bug #46878    Errors managing default values for columns
- Bug #46894    Text editor for VIEWs is too aggressive in trimming excessive whitespace
- Bug #46970    Navigator in EER Diagram doesn’t show anything
- Bug #47085    Can’t remove default value of a column
- Bug #47100    Insert values for datatype BIT are dropped
- Bug #47102    Table’s tooltip shows info about a column
- Bug #47238    Can’t add a DB connection – couldn’t load library libmysqlclient_r.so
- Bug #47468    Workbench Export sql script deletes schema whene exists.
- Bug #47491    Crash when opening/creating a new model with an unsaved model active
- Bug #47503    GRT Shell “help” with no parameters crash
- Bug #47545    Cannot re-open an EER diagram after closing it
- Bug #47807    Relationship diagram isn’t redrawn when FK table reference is changed
- Bug #48129    Table editor is missing Tool Tip for AI column
- Bug #48156    Unable to export result set to CSV
- Bug #48202    Use compression protocol option will not turn off
- Bug #48345    Workbench overwrites existing projects on saving without warning
- Bug #48347    Crash on managing new server instances
- Bug #48389    Cannot start Workbench 5.2.6-alpha on Windows 32-bit
- Bug #48507    Managing connection in MySQL Workbench
- Bug #48520    cairo error: out of memory

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.7 (internal release)

Platform: mac, linux, windows

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.6 (2009-10-21)

Platform: mac, linux, windows

[new/improved]

- added remote Server-Administration (mac and linux, windows version yet local admin only)
- added user-account-management, log viewer (for use with log-tables option)
- improved startup scripts

[closed]

- Bug #33005    “Move Up” / “Move Down”
- Bug #42919    support functionality of query browser in Workbench
- Bug #45579    copyToClipboard produces excess newlines
- Bug #46467    Fixing the catalog/model changed column types
- Bug #46613    Can’t delete a field in the MySQL Table Editor
- Bug #47044    Unhandled Exception When Expanding Schemata List
- Bug #47534    Workbench always crashes on startup
- Bug #47565    Workbench crashes when connect to columns is selected
- Bug #47958    Error when closing window

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.5 (internal build)

Platform: mac, linux, windows

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.4 (2009-10-07)

Platform: mac, linux, windows

[new/improved]

- added Server-Administration-Interface
- added TCP over SSH as connection method
- fixed issues in query interface
- new icons

[closed]

- Bug #46285    REDO wrong accelerator
- Bug #47088    Routines are not listed in Workbench’s Query Browser
- Bug #47385    Layer names not rendered on screen
- Bug #47405    Impossible to properly view/edit DECIMAL column values in query result set
- Bug #47407    Sql error in CREATE on synchronize model

-----------------------------------------------------------------------------------------------------------------------

MySQL Workbench 5.2.3 (2009-09-16)

Platform: mac, linux, windows

[improved]

- changed behaviour to not create new document on startup
- improved querying unit
- added compatibility with MacOS 10.6

[closed]

- Bug #36226    Create picture size of model diagram dynamically from diagram
- Bug #38906    illegal/no quoting in Insert Editor
- Bug #41636    Straight vertical or horizontal relationship not clickable
- Bug #44368    Invalid default value for ENUM fields
- Bug #44704    Inserting values separated with space doesn’t work on tables INSERT tab
- Bug #45069    UML Relationship notation displays incorrect values
- Bug #45075    Segmentation fault when creating second table and editing columns
- Bug #45123    MySQL Workbench crashes on timeout session
- Bug #45260    Can’t assign columns to index
- Bug #45692    Program crashes when deleting a table off the diagram designer. MAC OS X
- Bug #45704    Stored procedures code missing from Workbench editor
- Bug #46065    Crash when select a MySQL Connection
- Bug #46993    MySQL Workbench crashes on launch on OS X 10.6 Snow Leopard GM.
- Bug #47122    The NULL value in INSERT statements is quoted
- Bug #47174    Selecting ‘NOT NULL’ when adding a new column causes crash
- Bug #47257    Cancel and Replace are switched
- Bug #47268    On creating foreign keys, selecting referenced column doesnt work
